For the complete documentation index, see llms.txt. This page is also available as Markdown.

Stamps API

Endpoints related to Stamps.

Get Stamp

get

Get a stamp from an Archive.

Path parameters
idstringRequired

ID of the stamp.

Responses
200

Success response

application/json

JSON object for the Stamp model

idstringOptional

ID of the stamp

positionstringRequired

Position of the stamp in the page in normalized coordinates (0-100)

contentstringRequired

Text of the stamp

get/stamps/{id}
GET /api/stamps/{id} HTTP/1.1
Host: lrr.tvc-16.science
Accept: */*
{
  "position": "12,34",
  "content": "Lorem ipsum dolore"
}

🔑 Update Stamp

put

Update a stamp from an Archive.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Path parameters
idstringRequired

ID of the stamp.

Query parameters
contentstringOptional

Text of the stamp.

positionstringOptional

Position of the stamp in the page.

Responses
200

Success response

application/json
operationstringRequired

Name of operation

errorstringOptional

Error message if any

successMessagestringOptional

Success message if any

successinteger · enumRequired

Returns 1 if operation was successful, else 0

Possible values:
put/stamps/{id}
PUT /api/stamps/{id} HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
{
  "operation": "text",
  "error": "text",
  "successMessage": "text",
  "success": 0
}

🔑 Delete Stamp

delete

Remove a stamp from an Archive.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Path parameters
idstringRequired

ID of the stamp.

Responses
200

Success response

application/json
operationstringRequired

Name of operation

errorstringOptional

Error message if any

successMessagestringOptional

Success message if any

successinteger · enumRequired

Returns 1 if operation was successful, else 0

Possible values:
delete/stamps/{id}
DELETE /api/stamps/{id} HTTP/1.1
Host: lrr.tvc-16.science
Authorization: YOUR_API_KEY
Accept: */*
{
  "operation": "text",
  "error": "text",
  "successMessage": "text",
  "success": 0
}

Last updated